<div>
  <partial name="header"></partial>
  <div v-if="info">
    <h4>Created: {{created}}</h4>
    <div>
      <h4>Membership:
        <span
          :class="{
            'label': true,
            'label-success': info.member == 0,
            'label-warning': info.member == 1,
            'label-danger': info.member == 2,
          }"
          >
          {{ memberOptions[info.member] }}
        </span>
        <span
          v-if="info.manager"
          class="label label-primary"
          >
          manager
        </span>
        <div class="btn-group pull-right">
          <group-control :info="info"></group-control>
        </div>
      </h4>
    </div>
    <div>
      <h4>{{
        "Privacy" + (managing ? "" : ": " + privacyOptions[info.privacy])
      }}</h4>
      <vs-group
        v-if="managing"
        :value.sync="privacy"
        >
        <vs-radio
          v-for="(value, label) in privacyOptions"
          :value="value"
          >
          {{label}}
        </vs-radio>
      </vs-group>
    </div>
    <div v-if="isAdmin">
      <h4>Status</h4>
      <vs-group :value.sync="status">
        <vs-radio :value="0">inactive</vs-radio>
        <vs-radio :value="1">active</vs-radio>
        <vs-radio :value="2">deleted</vs-radio>
      </vs-group>
    </div>
    <div>
      <h4>{{
        "Password" + (managing ? "" : ": " + passwordStatus)
      }}</h4>
      <div v-if="managing" class="input-group">
        <span class="input-group-addon">
          {{ passwordStatus }}
        </span>
        <input
          type="password"
          class="form-control"
          placeholder="set new password"
          v-model="passwordNew"
          @change="setPassword(passwordNew)"
          />
        <span
          v-if="info.password"
          class="input-group-btn"
          >
          <button
            type="button"
            class="btn btn-danger"
            @click="setPassword('')"
            >
            Clear
          </button>
        </span>
      </div>
    </div>
  </div>
  <name-list
    v-if="managing"
    name="manager"
    title="Managers"
    url="group/manager"
    :can-add="managing"
    :can-mod-item="managing"
    ></name-list>
  <member-list
    v-if="canViewMembers"
    name="user"
    title="Users"
    url="group/user"
    :can-add="managing"
    :can-mod-item="managing"
    ></member-list>
  <member-list
    v-if="canViewMembers"
    name="group"
    title="Child Groups"
    url="group/child_group"
    :can-add="managing"
    :can-mod-item="managing"
    :can-browse="true"
    suggestion-id="um-suggestion-group"
    ></member-list>
  <component
    :is="managing ? 'parent-list' : 'member-list'"
    v-if="canViewMembers"
    name="group"
    title="Parent Groups"
    url="group/parent_group"
    :can-add="false"
    :can-mod-item="false"
    :can-browse="true"
    suggestion-id="um-suggestion-group"
    ></component>
  <group-join
    v-if="managing"
    :subject="name"
    subject-kind="child_group"
    ></group-join>
</div>
